package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.enumeration.EnumerationValue;
import java.util.Date;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import com.bpcl.core.jalo.BPCLChannelPartner;

@SLDSafe
public class LPGDistributorStaff extends BPCLChannelPartner
{
    public static final String STAFFID = "staffId";
    public static final String STAFFNAME = "staffName";
    public static final String MOBILENUMBER = "mobileNumber";
    public static final String ACTIVESTATUS = "activeStatus";
    public static final String OPERATORVALIDTILL = "operatorValidTill";
    public static final String STAFFROLE = "staffRole";
    public static final String SKIPOTP = "skipOtp";
    public static final String MOBILEDEVICEID = "mobileDeviceId";
    public static final String MOBILEMODEL = "mobileModel";
    public static final String MOBILEOSVERSION = "mobileOSVersion";
    public static final String WHITELISTINGFLAG = "whitelistingFlag";
    public static final String WHITELISTINGCODE = "whitelistingCode";
    public static final String CODECREATIONTIME = "codeCreationtime";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return LPGDistributorStaff.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public Boolean isActiveStatus(final SessionContext ctx) {
        return (Boolean)this.getProperty(ctx, "activeStatus".intern());
    }
    
    public Boolean isActiveStatus() {
        return this.isActiveStatus(this.getSession().getSessionContext());
    }
    
    public boolean isActiveStatusAsPrimitive(final SessionContext ctx) {
        final Boolean value = this.isActiveStatus(ctx);
        return value != null && value;
    }
    
    public boolean isActiveStatusAsPrimitive() {
        return this.isActiveStatusAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setActiveStatus(final SessionContext ctx, final Boolean value) {
        this.setProperty(ctx, "activeStatus".intern(), (Object)value);
    }
    
    public void setActiveStatus(final Boolean value) {
        this.setActiveStatus(this.getSession().getSessionContext(), value);
    }
    
    public void setActiveStatus(final SessionContext ctx, final boolean value) {
        this.setActiveStatus(ctx, Boolean.valueOf(value));
    }
    
    public void setActiveStatus(final boolean value) {
        this.setActiveStatus(this.getSession().getSessionContext(), value);
    }
    
    public Date getCodeCreationtime(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "codeCreationtime".intern());
    }
    
    public Date getCodeCreationtime() {
        return this.getCodeCreationtime(this.getSession().getSessionContext());
    }
    
    public void setCodeCreationtime(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "codeCreationtime".intern(), (Object)value);
    }
    
    public void setCodeCreationtime(final Date value) {
        this.setCodeCreationtime(this.getSession().getSessionContext(), value);
    }
    
    public String getMobileDeviceId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "mobileDeviceId".intern());
    }
    
    public String getMobileDeviceId() {
        return this.getMobileDeviceId(this.getSession().getSessionContext());
    }
    
    public void setMobileDeviceId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "mobileDeviceId".intern(), (Object)value);
    }
    
    public void setMobileDeviceId(final String value) {
        this.setMobileDeviceId(this.getSession().getSessionContext(), value);
    }
    
    public String getMobileModel(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "mobileModel".intern());
    }
    
    public String getMobileModel() {
        return this.getMobileModel(this.getSession().getSessionContext());
    }
    
    public void setMobileModel(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "mobileModel".intern(), (Object)value);
    }
    
    public void setMobileModel(final String value) {
        this.setMobileModel(this.getSession().getSessionContext(), value);
    }
    
    public String getMobileNumber(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "mobileNumber".intern());
    }
    
    public String getMobileNumber() {
        return this.getMobileNumber(this.getSession().getSessionContext());
    }
    
    public void setMobileNumber(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "mobileNumber".intern(), (Object)value);
    }
    
    public void setMobileNumber(final String value) {
        this.setMobileNumber(this.getSession().getSessionContext(), value);
    }
    
    public String getMobileOSVersion(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "mobileOSVersion".intern());
    }
    
    public String getMobileOSVersion() {
        return this.getMobileOSVersion(this.getSession().getSessionContext());
    }
    
    public void setMobileOSVersion(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "mobileOSVersion".intern(), (Object)value);
    }
    
    public void setMobileOSVersion(final String value) {
        this.setMobileOSVersion(this.getSession().getSessionContext(), value);
    }
    
    public Date getOperatorValidTill(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "operatorValidTill".intern());
    }
    
    public Date getOperatorValidTill() {
        return this.getOperatorValidTill(this.getSession().getSessionContext());
    }
    
    public void setOperatorValidTill(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "operatorValidTill".intern(), (Object)value);
    }
    
    public void setOperatorValidTill(final Date value) {
        this.setOperatorValidTill(this.getSession().getSessionContext(), value);
    }
    
    public Boolean isSkipOtp(final SessionContext ctx) {
        return (Boolean)this.getProperty(ctx, "skipOtp".intern());
    }
    
    public Boolean isSkipOtp() {
        return this.isSkipOtp(this.getSession().getSessionContext());
    }
    
    public boolean isSkipOtpAsPrimitive(final SessionContext ctx) {
        final Boolean value = this.isSkipOtp(ctx);
        return value != null && value;
    }
    
    public boolean isSkipOtpAsPrimitive() {
        return this.isSkipOtpAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setSkipOtp(final SessionContext ctx, final Boolean value) {
        this.setProperty(ctx, "skipOtp".intern(), (Object)value);
    }
    
    public void setSkipOtp(final Boolean value) {
        this.setSkipOtp(this.getSession().getSessionContext(), value);
    }
    
    public void setSkipOtp(final SessionContext ctx, final boolean value) {
        this.setSkipOtp(ctx, Boolean.valueOf(value));
    }
    
    public void setSkipOtp(final boolean value) {
        this.setSkipOtp(this.getSession().getSessionContext(), value);
    }
    
    public String getStaffId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "staffId".intern());
    }
    
    public String getStaffId() {
        return this.getStaffId(this.getSession().getSessionContext());
    }
    
    public void setStaffId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "staffId".intern(), (Object)value);
    }
    
    public void setStaffId(final String value) {
        this.setStaffId(this.getSession().getSessionContext(), value);
    }
    
    public String getStaffName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "staffName".intern());
    }
    
    public String getStaffName() {
        return this.getStaffName(this.getSession().getSessionContext());
    }
    
    public void setStaffName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "staffName".intern(), (Object)value);
    }
    
    public void setStaffName(final String value) {
        this.setStaffName(this.getSession().getSessionContext(), value);
    }
    
    public EnumerationValue getStaffRole(final SessionContext ctx) {
        return (EnumerationValue)this.getProperty(ctx, "staffRole".intern());
    }
    
    public EnumerationValue getStaffRole() {
        return this.getStaffRole(this.getSession().getSessionContext());
    }
    
    public void setStaffRole(final SessionContext ctx, final EnumerationValue value) {
        this.setProperty(ctx, "staffRole".intern(), (Object)value);
    }
    
    public void setStaffRole(final EnumerationValue value) {
        this.setStaffRole(this.getSession().getSessionContext(), value);
    }
    
    public String getWhitelistingCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "whitelistingCode".intern());
    }
    
    public String getWhitelistingCode() {
        return this.getWhitelistingCode(this.getSession().getSessionContext());
    }
    
    public void setWhitelistingCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "whitelistingCode".intern(), (Object)value);
    }
    
    public void setWhitelistingCode(final String value) {
        this.setWhitelistingCode(this.getSession().getSessionContext(), value);
    }
    
    public Boolean isWhitelistingFlag(final SessionContext ctx) {
        return (Boolean)this.getProperty(ctx, "whitelistingFlag".intern());
    }
    
    public Boolean isWhitelistingFlag() {
        return this.isWhitelistingFlag(this.getSession().getSessionContext());
    }
    
    public boolean isWhitelistingFlagAsPrimitive(final SessionContext ctx) {
        final Boolean value = this.isWhitelistingFlag(ctx);
        return value != null && value;
    }
    
    public boolean isWhitelistingFlagAsPrimitive() {
        return this.isWhitelistingFlagAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setWhitelistingFlag(final SessionContext ctx, final Boolean value) {
        this.setProperty(ctx, "whitelistingFlag".intern(), (Object)value);
    }
    
    public void setWhitelistingFlag(final Boolean value) {
        this.setWhitelistingFlag(this.getSession().getSessionContext(), value);
    }
    
    public void setWhitelistingFlag(final SessionContext ctx, final boolean value) {
        this.setWhitelistingFlag(ctx, Boolean.valueOf(value));
    }
    
    public void setWhitelistingFlag(final boolean value) {
        this.setWhitelistingFlag(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>(BPCLChannelPartner.DEFAULT_INITIAL_ATTRIBUTES);
        tmp.put("staffId", Item.AttributeMode.INITIAL);
        tmp.put("staffName", Item.AttributeMode.INITIAL);
        tmp.put("mobileNumber", Item.AttributeMode.INITIAL);
        tmp.put("activeStatus", Item.AttributeMode.INITIAL);
        tmp.put("operatorValidTill", Item.AttributeMode.INITIAL);
        tmp.put("staffRole", Item.AttributeMode.INITIAL);
        tmp.put("skipOtp", Item.AttributeMode.INITIAL);
        tmp.put("mobileDeviceId", Item.AttributeMode.INITIAL);
        tmp.put("mobileModel", Item.AttributeMode.INITIAL);
        tmp.put("mobileOSVersion", Item.AttributeMode.INITIAL);
        tmp.put("whitelistingFlag", Item.AttributeMode.INITIAL);
        tmp.put("whitelistingCode", Item.AttributeMode.INITIAL);
        tmp.put("codeCreationtime", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
